<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout}"
>
<body>
<div th:fragment="sidebar_test">
    <aside class="bd-sidebar">
        <div
                class="offcanvas-lg offcanvas-start bg-body bg-opacity-50"
                tabindex="-1"
                id="bdSidebar"
                aria-labelledby="bdSidebarOffcanvasLabel"
        >
            <div class="offcanvas-header border-bottom">
                <h5 class="offcanvas-title" id="bdSidebarOffcanvasLabel">
                    Browse docs
                </h5>
                <button
                        type="button"
                        class="btn-close"
                        data-bs-dismiss="offcanvas"
                        aria-label="Close"
                        data-bs-target="#bdSidebar"
                ></button>
            </div>

            <div class="offcanvas-body p-3 mb-3 bg-body">

                <div class="row text-center">
                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-12">
                                READING
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col-md-3 d-grid gap-2 p-1"  th:each="data,row : ${listSoal}">
                                <a th:if="${data.getStatus() == data.getStatus().ACTIVE && data.getSoal().getJenis() == data.getSoal().getJenis().READING}" class="btn btn-primary btn-sm m-2 text-white" th:href="@{/test/start(nomor=${data.getNomor()})}">
                                    <span th:if="${data.getNomor() < 10}" th:text="${'0' + data.getNomor().toString}"></span>
                                    <span th:if="${data.getNomor() >= 10}" th:text="${data.getNomor().toString}"></span>
                                </a>
                                <a th:if="${data.getStatus() == data.getStatus().DONE  && data.getSoal().getJenis() == data.getSoal().getJenis().READING}" class="btn btn-success btn-sm m-2 text-white" th:href="@{/test/start(nomor=${data.getNomor()})}">
                                    <span th:if="${data.getNomor() < 10}" th:text="${'0' + data.getNomor().toString}"></span>
                                    <span th:if="${data.getNomor() >= 10}" th:text="${data.getNomor().toString}"></span>
                                </a>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                STRUCTURE
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3 d-grid gap-2 p-1"  th:each="data,row : ${listSoal}">
                                <a th:if="${data.getStatus() == data.getStatus().ACTIVE && data.getSoal().getJenis() == data.getSoal().getJenis().STRUCTURE}" class="btn btn-primary btn-sm m-2 text-white" th:href="@{/test/start(nomor=${data.getNomor()})}">
                                    <span th:if="${data.getNomor() < 10}" th:text="${'0' + data.getNomor().toString}"></span>
                                    <span th:if="${data.getNomor() >= 10}" th:text="${data.getNomor().toString}"></span>
                                </a>
                                <a th:if="${data.getStatus() == data.getStatus().DONE && data.getSoal().getJenis() == data.getSoal().getJenis().STRUCTURE}" class="btn btn-success btn-sm m-2 text-white" th:href="@{/test/start(nomor=${data.getNomor()})}">
                                    <span th:if="${data.getNomor() < 10}" th:text="${'0' + data.getNomor().toString}"></span>
                                    <span th:if="${data.getNomor() >= 10}" th:text="${data.getNomor().toString}"></span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </aside>
</div>
</body>
</html>
